remove *list unique values* and *basic statistic*
Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 21830

Description

with the new Statistic panel the 2 function in Vector -> Analysis Tools are now obsolete..

should not they be removed?

History

#1 - 2015-11-15 12:40 AM - Médéric RIBREUX

Hello,

how do you get unique values with the statistic panel ?

#2 - 2015-11-17 01:24 AM - matteo ghetta

Hi,

I think that the Variety expains unique values..

http://lists.osgeo.org/pipermail/qgis-developer/2015-October/039896.html

#3 - 2015-11-17 09:12 AM - Médéric RIBREUX

Hello,

list unique values extracts the individual values for a field in a layer. Then you can copy/paste those individual values elsewhere. So I think that we can't

drop it from the Vector menu as it is the only way that I've found so far to extract those values. One good thing that could be done is to make the two

processing tools "List unique values" and "Basic Statistics" export their results to a table-only layer so users will be able to do what they want with it

(copy/paste, modify, make other calculations). For the moment those processing tools are creating a Processing viewer and the results are in HTML. In my

opinion it is not the best way to deal with data.

Furthermore, you cannot copy the statistic panel contents (just one cell).

So, let's do the following:

- Make the statistic panel contents be able to copy data in the clipboard (not just the selected cell) with right-click or Ctrl+C.

- Once done, remove Vector Menu Basic Statistics (or point the menu entry to the statistics panel).

- Implement a table export for processing tool "List unique values".

- Once done, make the menu entry for "List unique values" points to Processing tool.

- Implement table export for processing tools "Basic Statistics for numeric fields" & "Basic Statistics for text fields" (perhaps in another bug report)
Much more work but I think that with it, there will be less user frustration.

#4 - 2015-11-17 12:53 PM - Nyall Dawson

So, let's do the following:

- Make the statistic panel contents be able to copy data in the clipboard (not just the selected cell) with right-click or Ctrl+C.

- Once done, remove Vector Menu Basic Statistics (or point the menu entry to the statistics panel).

- Implement a table export for processing tool "List unique values".

- Once done, make the menu entry for "List unique values" points to Processing tool.

- Implement table export for processing tools "Basic Statistics for numeric fields" & "Basic Statistics for text fields" (perhaps in another bug report)

+1 to all this, sounds like a good solution. Do you mind filing seperate bugs/feature requests for each of these so they can be tracked individually?

#5 - 2016-03-25 03:47 AM - Alexander Bruy

- Status changed from Open to Closed

- Resolution set to wontfix

Both tools still may be useful, for example when creating Processing models or batch processing.

#6 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
